AS=riscv-none-embed-as
CC=riscv-none-embed-gcc
LD=riscv-none-embed-ld


all: Running_Led.text

Running_Led.text : Running_Led.elf
	riscv-none-embed-objcopy -O binary --only-section=.init --only-section=.text $? $@

clean:
	rm Running_Led.text

burn:
	openocd -f openocd_gdlink.cfg -c "flash erase_sector 0 0 127; program Running_Led.elf verify reset exit"

disasm:
	riscv-none-embed-objdump -dS Running_Led.elf

debug:
	debug.bat
